ALTER TABLE be_groups ADD COLUMN workspace_perms tinyint(3) DEFAULT '1' NOT NULL;
ALTER TABLE be_users ADD COLUMN workspace_perms tinyint(3) DEFAULT '1' NOT NULL;
ALTER TABLE be_users ADD COLUMN workspace_id int(11) DEFAULT '0' NOT NULL;
ALTER TABLE be_users ADD COLUMN workspace_preview tinyint(3) DEFAULT '1' NOT NULL;
ALTER TABLE pages  ADD COLUMN t3ver_oid int(11) DEFAULT '0' NOT NULL;
ALTER TABLE pages  ADD COLUMN t3ver_id int(11) DEFAULT '0' NOT NULL;
ALTER TABLE pages  ADD COLUMN t3ver_wsid int(11) DEFAULT '0' NOT NULL;
ALTER TABLE pages ADD COLUMN t3ver_state tinyint(4) DEFAULT '0' NOT NULL;
ALTER TABLE pages ADD COLUMN t3ver_count int(11) DEFAULT '0' NOT NULL;
ALTER TABLE pages ADD COLUMN t3ver_tstamp int(11) DEFAULT '0' NOT NULL;
ALTER TABLE pages ADD COLUMN t3ver_swapmode tinyint(4) DEFAULT '0' NOT NULL;
ALTER TABLE pages ADD COLUMN t3_origuid int(11) DEFAULT '0' NOT NULL;
ALTER TABLE pages ADD KEY t3ver_oid (t3ver_oid,t3ver_wsid);
CREATE TABLE sys_workspace (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  deleted tinyint(3) DEFAULT '0' NOT NULL,
  title varchar(30) DEFAULT '' NOT NULL,
  description tinytext NOT NULL,
  adminusers tinytext NOT NULL,
  members text NOT NULL,
  reviewers text NOT NULL,
  db_mountpoints tinytext NOT NULL,
  file_mountpoints tinytext NOT NULL,
  publish_time int(11) DEFAULT '0' NOT NULL,
  unpublish_time int(11) DEFAULT '0' NOT NULL,
  freeze tinyint(3) DEFAULT '0' NOT NULL,
  live_edit tinyint(3) DEFAULT '0' NOT NULL,
  disable_autocreate tinyint(3) DEFAULT '0' NOT NULL,
  swap_modes tinyint(3) DEFAULT '0' NOT NULL,
  PRIMARY KEY (uid),
  KEY parent (pid)
);
